## pfzy 0.3.4

=== docs/requirements.txt ===
Sphinx
furo
myst-parser
sphinx-autobuild
sphinx-copybutton

=== debian/changelog ===
pfzy (0.3.4-2) unstable; urgency=medium

  * Add python3-pytest-asyncio to Build-Depends and autopkgtest depends to
    avoid skipping async tests.

 -- Edward Betts <edward@4angle.com>  Tue, 24 Oct 2023 14:24:24 +0100

pfzy (0.3.4-1) unstable; urgency=medium

  * Initial release. (Closes: #1053493)

 -- Edward Betts <edward@4angle.com>  Fri, 06 Oct 2023 20:12:05 +0100

=== debian/control ===
Source: pfzy
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Edward Betts <edward@4angle.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3-all,
               python3-poetry-core,
               python3-pytest <!nocheck>,
               python3-pytest-asyncio <!nocheck>
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://github.com/kazhala/pfzy
Vcs-Browser: https://salsa.debian.org/python-team/packages/pfzy
Vcs-Git: https://salsa.debian.org/python-team/packages/pfzy.git

Package: python3-pfzy
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Python port of the fzy fuzzy string matching algorithm
 pfzy is a Python port of the fzy fuzzy string matching algorithm.
 .
 Key Features:
  - Fuzzy String Matching: pfzy enables fuzzy string matching, allowing you to
    find approximate matches for a given query within a set of strings.
  - Asynchronous Fuzzy Matching: pfzy includes an asynchronous fuzzy match
    function, making it suitable for high-performance applications and
    scenarios.
  - Fzy Scorer: The package provides a fzy scorer for calculating fuzzy string
    match scores, aiding in ranking matches based on their similarity.
  - Substring Scorer: An exact substring match scorer is also available,
    allowing for precise substring matching.
 .
 While the popular fuzzywuzzy Python package performs fuzzy string matching, it
 lacks the ability to calculate and provide matching indices. pfzy is built on
 the fzy algorithm, which not only calculates matching scores but also offers
 matching indices, making it ideal for fuzzy finder applications.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pfzy

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf pfzy.egg-info/

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/pfzy-$1\.tar\.gz/ \
  https://github.com/kazhala/pfzy/tags .*/v?(\d\S+)\.tar\.gz
